define(["require", "exports", "moment"], function (require, exports, moment) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    class ExternalTask {
        constructor(id, workerId, topic, flowNodeInstanceId, correlationId, processInstanceId, payload, lockExpirationTime, finished, finishedAt, error, result, createdAt) {
            this._id = id;
            this._workerId = workerId;
            this._topic = topic;
            this._flowNodeInstanceId = flowNodeInstanceId;
            this._correlationId = correlationId;
            this._processInstanceId = processInstanceId;
            this._payload = payload;
            this._lockExpirationTime = lockExpirationTime;
            this._finished = finished;
            this._finishedAt = finishedAt;
            this._result = result;
            this._error = error;
            this._createdAt = createdAt;
        }
        get id() {
            return this._id;
        }
        get workerId() {
            return this._workerId;
        }
        get topic() {
            return this._topic;
        }
        get flowNodeInstanceId() {
            return this._flowNodeInstanceId;
        }
        get correlationId() {
            return this._correlationId;
        }
        get processInstanceId() {
            return this._processInstanceId;
        }
        get lockExpirationTime() {
            return this._lockExpirationTime;
        }
        get payload() {
            return this._payload;
        }
        get isFinished() {
            return this._finished;
        }
        get finishedAt() {
            return this._finishedAt;
        }
        get result() {
            return this._result;
        }
        get error() {
            return this._error;
        }
        get createdAt() {
            return this._createdAt;
        }
        get isLocked() {
            if (!this.lockExpirationTime) {
                return false;
            }
            const lockExpirationAsMoment = moment(this.lockExpirationTime);
            const now = moment();
            return lockExpirationAsMoment.isAfter(now);
        }
    }
    exports.ExternalTask = ExternalTask;
});

//# sourceMappingURL=external_task.js.map
